# Define templates
include:
  - project: 'gazelle/private/gitlab-ci-templates'
    file: 'extends.yaml'
    ref: 'master'

# Define stages
stages:
  - build
  - postbuild
  - deploy
  - tests
  - release
  - upgrade
  - cleanup

# Define global variables
variables:
  P_NAME: "dcc-validator"
  P_APP_TYPE: "java"
  P_CODE_SRC_PATH: "."
  P_MAVEN_IMAGE_TAG: "3.6.3-jdk-11"

# Define jobs
code:
  stage: build
  extends:
    - .buildCodeForJava

quality:
  stage: tests
  extends:
    - .testQualityForJavaWithSonarqube
  variables:
    P_CODE_BINARIES: "target/classes/"
    P_CODE_JACOCO_REPORT_PATH: "target/site/jacoco/jacoco.xml"
    P_CODE_JUNIT_REPORTS_PATH: "target/surefire-reports"
    P_CODE_DYNAMIC_ANALYSIS: "reuseReports"
    P_CODE_COVERAGE_PLUGIN: "jacoco"
    P_CODE_SOURCE_ENCODING: "UTF-8"
    P_CODE_LANGUAGE: "java"
    P_CODE_DEVELOPER_EDITION: "true"

release/code:
  stage: release
  extends:
    - .releaseCodeForJava
  variables:
    P_MAVEN_EXTRA_ARGS: "-DskipIT=false"
